﻿@model PagedList<ViewModels.Trade.UserListAdsViewModel>
@{
    var lang = (string)ViewBag.Lang;
    var isSell = false;
    if (Request["issell"] != null)
    {
        bool.TryParse(Request["issell"], out isSell);
    }

    ViewBag.Title = isSell ? "My Sell Ads" : "My Buy Ads";

}

<h2>@ViewBag.Title</h2>

@{ Html.RenderPartial("~/Areas/Member/Views/Partial/_ShowMessage.cshtml"); }

<section class="add-ads-btn-wrap">
    <br />
    <a class="btn btn-success" href="/@ViewContext.RouteData.Values["lang"]/member/ads/create">Add new ads</a>
</section>
<section class="grid-wrap buys-grid-wrap">
    <table class="table table-striped table-coin">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(c => c.Data.FirstOrDefault().CoinName)</th>
                <th>
                    @if (isSell)
                    {
                        @: I get
                    }
                    else
                    {
                        @: I pay
                    }
                </th>
                <th>@Html.DisplayNameFor(c => c.Data.FirstOrDefault().CurrencyUnitPriceOfCoin)</th>
                <th class="column-hide-xs">@Html.DisplayNameFor(c => c.Data.FirstOrDefault().PaymentMethodName)</th>
                <th class="column-hide">@Html.DisplayNameFor(c => c.Data.FirstOrDefault().CountryName)</th>
                <th class="column-hide">@Html.DisplayNameFor(c => c.Data.FirstOrDefault().MinimumCurrencyPrice)</th>
                <th class="column-hide">@Html.DisplayNameFor(c => c.Data.FirstOrDefault().IsActive)</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Data)
            {
                <tr>
                    <td>@item.CoinName</td>
                    <td>@item.CurrencyName</td>
                    <td>@item.CurrencyUnitPriceOfCoin</td>
                    <td class="column-hide-xs">@item.PaymentMethodName</td>
                    <td class="column-hide">@item.CountryName</td>
                    <td class="column-hide">@item.MinimumCurrencyPrice - @item.MaximumCurrencyPrice</td>
                    <td>
                        @if (item.IsActive)
	                    {
		                    <i class="fa fa-check"></i>
                        }
                        else
                        {
                            <span>__</span>
                        }
                    </td>
                    <td>
                        <a class="btn btn-success" href="/@ViewContext.RouteData.Values["lang"]/member/ads/edit/@item.AdsId">Edit</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
    @Html.ShowEmptyLabel(Model.Data)
    @Html.ShowPagerDescription(Model)
    @Html.ShowAdsSearchPager((string)ViewBag.Lang, Model)
</section>


